## License Pane

License Pane — Font licensing details

## Functions

GtkWidget * | font_manager_license_page_new ()
gchar * | font_manager_license_page_get_license_data ()
gchar * | font_manager_license_page_get_license_url ()
gint | font_manager_license_page_get_fsType ()
void | font_manager_license_page_set_fsType ()
void | font_manager_license_page_set_license_data ()
void | font_manager_license_page_set_license_url ()

## Properties

int | fstype | Read / Write
char * | license-data | Read / Write
char * | license-url | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_LICENSE_PAGE
| FontManagerLicensePage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── FontManagerLicensePage

## Implemented Interfaces

FontManagerLicensePage implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <font-manager-license-page.h>

## Description

Widget which displays embedded or detected font licensing data.

## Functions

### font_manager_license_page_new ()

    GtkWidget *
    font_manager_license_page_new (void);

#### Returns

A newly created FontManagerLicensePage. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_license_page_get_license_data ()

    gchar *
    font_manager_license_page_get_license_data
                                   (FontManagerLicensePage *self);

#### Parameters

self | FontManagerLicensePage |

#### Returns

A newly allocated string that must be freed with g_free or `NULL`.

[transfer none][nullable]

### font_manager_license_page_get_license_url ()

    gchar *
    font_manager_license_page_get_license_url
                                   (FontManagerLicensePage *self);

#### Parameters

self | FontManagerLicensePage |

#### Returns

A newly allocated string that must be freed with g_free or `NULL`.

[transfer none][nullable]

### font_manager_license_page_get_fsType ()

    gint
    font_manager_license_page_get_fsType (FontManagerLicensePage *self);

#### Parameters

self | FontManagerLicensePage |

#### Returns

FontManagerfsType

### font_manager_license_page_set_fsType ()

    void
    font_manager_license_page_set_fsType (FontManagerLicensePage *self,
                                          gint fstype);

#### Parameters

self | FontManagerLicensePage |
fstype | FontManagerfsType |

### font_manager_license_page_set_license_data ()

    void
    font_manager_license_page_set_license_data
                                   (FontManagerLicensePage *self,
                                    const gchar *license_data);

#### Parameters

self | FontManagerLicensePage |
license_data | License data embedded in font file or `NULL`. | [nullable]

### font_manager_license_page_set_license_url ()

    void
    font_manager_license_page_set_license_url
                                   (FontManagerLicensePage *self,
                                    const gchar *url);

#### Parameters

self | FontManagerLicensePage |
url | URL to latest version of license or `NULL`. | [nullable]

## Types and Values

### FONT_MANAGER_TYPE_LICENSE_PAGE

    #define FONT_MANAGER_TYPE_LICENSE_PAGE (font_manager_license_page_get_type ())

### FontManagerLicensePage

    typedef struct _FontManagerLicensePage FontManagerLicensePage;

## Property Details

### The `“fstype”` property

      “fstype”                   int

Font embedding information

Owner: FontManagerLicensePage

Flags: Read / Write

Default value: 0

### The `“license-data”` property

      “license-data”             char *

Embedded or detected license text

Owner: FontManagerLicensePage

Flags: Read / Write

Default value: NULL

### The `“license-url”` property

      “license-url”              char *

Embedded or detected license url

Owner: FontManagerLicensePage

Flags: Read / Write

Default value: NULL